%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/modern-go/reflect2
Version:                1.0.2

%gometa

%global common_description %{expand:
Reflect api without runtime reflect.value cost.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        Reflect api without runtime reflect.Value cost

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sun Jun 08 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.2-2
- Rebuilt for loongarch64

* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-1
- initial build
